@import "../base/variable.scss";
@import "../base/mixins.scss";

.about_sections{
    position: relative;
    @include clearfix();
    &.el{
        background-color: $breadcame;
    }
    &.ekt{
        padding: 120px 0;
        .image{
            &.el{
                width: 100%;
                img{
                    width: 100%;
                }
            }
        }
    }
    .lefted{
        position: relative;
        overflow: hidden;
        .image{
            width: 341px;
            // height: 484px;
            img{
                width: 100%;
                height: 100%;
                object-fit: cover;
                
            }
            .usr{
                position: relative;
                bottom: 0px;
                left: 40px;
                clip-path: polygon(0 50%, 100% 0, 100% 100%, 0% 100%);
                width: 341px;
                height: 484px;
                margin-top: -364px;
                img{
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                   
                }
            }
        }
    }
    .righted{
        position: relative;
        overflow: hidden;
        .image{
            width: 341px;
            // height: 484px;
            img{
                width: 100%;
                height: 100%;
                object-fit: cover;
                margin-top: -338px;
                position: relative;
                right: -40px;
                z-index: 0;
            }
            .usr{
                position: relative;
                bottom: 0px;
                right: 0px;
                clip-path: polygon(0 0, 100% 0, 100% 50%, 0 100%);
                width: 341px;
                height: 484px;
                z-index: 1;
                img{
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                    margin: 0;
                    position: relative;
                   right: unset;
                }
            }
        }
    }
    .content{
        padding-left: 40px;
        h4{
            font-size: 48px;
            font-weight: 600;
            font-family: 'lexend';
            color: $primary_color;
            padding-bottom: 20px;
        }
        p{
            font-size: 18px;
            line-height: 22px;
            font-weight: 500;
            font-family: 'Montserrat';
            color: $offfspra2;
            text-align: justify;
            padding-top: 10px;
        }
        h3{
            font-size: 36px;
            line-height: 46px;
            font-weight: 700;
            font-family: 'montserrat';
            color: $black;
            span{
                color: $red;
            }
        }
        h2{
            font-size: 18px;
            font-weight: 700;
            font-family: 'montserrat';
            color: $red;
            padding-bottom: 20px;
            padding-top:20px;
        }
        &.left{
            padding-right:40px;
            padding-left: 0;
            p{
                text-align: right;
            }
            h4{
                text-align: right;
            }
        }
        .button{
            padding-top: 35px;
        }
    }
}







/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

@media (min-width: 1200px) and (max-width: 1399px){
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .about_sections{
        &.ekt{
            padding: 80px 0;
        }
        .foot_image{
            img{
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }
        .content{
            padding-left:20px;
            p{
                padding-right: 5px;
            }
            &.left{
                padding-right:18px;
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .about_sections{
        &.ekt{
            padding: 60px 0;
        }
        .righted{
            .image{
                .usr{
                    height: 535px;
                }
                img{
                    margin-top: -397px;
                }
            }
        }
        .foot_image{
            img{
                width: 330px;
                height: unset;
                object-fit: contain;
            }
        }
        .content{
            h4{
                font-size: 35px;
                padding-bottom: 5px;
            }
            p{
                padding-right: 5px;
                font-size: 14px;
            }
            h3{
                font-size: 25px;
                line-height: 36px;
            }
            h2{
                padding-bottom: 10px;
            }
            &.left{
                padding-right:0px;
                p{
                    text-align: left;
                }
                h4{
                    text-align: left;
                    padding-top: 20px;
                    padding-bottom: 5px;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .about_sections{
        &.ekt{
            padding: 40px 0;
        }
        .lefted{
         .image{
             width: 280px;
             .usr{
                 width: 280px;
                 height: 420px;
                 margin-top: -290px;
             }
         }
        }
        .righted{
            .image{
                width: 280px;
                .usr{
                    width: 280px;
                    height: 420px;
                }
                img{
                    margin-top: -320px;
                }
            }
        }
        .foot_image{
            img{
                width: 300px;
                object-fit: contain;
            }
        }
        .content{
            padding-left: 0;
            
            h4{
                font-size: 30px;
                padding-bottom: 5px;
            }
            p{
                font-size: 12px;
                line-height: 15px;
                padding-right:5px;
            }
            h3{
                font-size: 22px;
                line-height: 30px;
            }
            h2{
                padding-bottom: 5px;
                font-size: 23px;
            }
            &.left{
                padding-right:0px;
                p{

                }
                h4{
                    padding-top: 20px;
                    padding-bottom: 5px;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .about_sections{
        &.ekt{
            padding: 20px 0;
        }
        .lefted{
            .image{
                width: 304px;
            }
        }
        .righted{
            .image{
                .usr{
                    width: 304px;
                }
                img{
                    margin-top: -370px;
                }
            }
        }
        .foot_image{
            text-align: center;
            img{
                width: 300px;
                height: unset;
                object-fit: contain;
                margin: 0 auto;
            }
        }
        .content{
            text-align: center;
            padding: 20px 0;
            h4{
                font-size: 30px;
                padding-bottom: 5px;
            }
            p{
                font-size: 12px;
                text-align: center;
                line-height: 15px;
                padding-right:5px;
            }
            h3{
                font-size: 22px;
                line-height: 30px;
            }
            h2{
                padding-bottom: 5px;
                font-size: 15px;
            }
            &.left{
                padding-right:0px;
                text-align: center;
                p{
                    text-align: center;
                }
                h4{
                    text-align: center;
                    padding-top: 20px;
                    padding-bottom: 5px;
                }
            }
        }
    }
 }

/* Smaller phones */
@media (max-width: 360px) {
    .about_sections{
        &.ekt{
            padding: 20px 0;
        }
        .lefted{
            .image{
                width: 304px;
            }
            .usr{
                width: 304px;
                height: 304px;
                margin-top: -321px;
            }
        }
        .righted{
            .image{
                .usr{
                    width: 304px;
                    height: 460px;
                }
                img{
                    margin-top: -372px;
                }
            }
        }
        .foot_image{
            text-align: center;
            img{
                width: 300px;
                height: unset;
                object-fit: contain;
                margin: 0 auto;
            }
        }
        .content{
            text-align: center;
            padding: 20px 0;
            h4{
                font-size: 30px;
                padding-bottom: 5px;
            }
            p{
                font-size: 12px;
                text-align: center;
                line-height: 15px;
                padding-right:5px;
            }
            h3{
                font-size: 22px;
                line-height: 30px;
            }
            h2{
                padding-bottom: 5px;
                font-size: 15px;
            }
            &.left{
                padding-right:0px;
                text-align: center;
                p{
                    text-align: center;
                }
                h4{
                    text-align: center;
                    padding-top: 20px;
                    padding-bottom: 5px;
                }
            }
        }
    }
}


/* Smaller phones */
@media (max-width: 320px) {
    .about_sections{
        &.ekt{
            padding: 20px 0;
        }
        .lefted{
            .image{
                width: 270px;
            }
            .usr{
                width: 270px;
                height: 433px;
                margin-top: -321px;
            }
        }
        .righted{
            .image{
                .usr{
                    width: 270px;
                    height: 440px;
                }
                img{
                    margin-top: -401px;
                }
            }
        }
        .foot_image{
            text-align: center;
            img{
                width: 300px;
                height: unset;
                object-fit: contain;
                margin: 0 auto;
            }
        }
        .content{
            text-align: center;
            padding: 20px 0;
            h4{
                font-size: 30px;
                padding-bottom: 5px;
            }
            p{
                font-size: 12px;
                text-align: center;
                line-height: 15px;
                padding-right:5px;
            }
            h3{
                font-size: 22px;
                line-height: 30px;
            }
            h2{
                padding-bottom: 5px;
                font-size: 15px;
            }
            &.left{
                padding-right:0px;
                text-align: center;
                p{
                    text-align: center;
                }
                h4{
                    text-align: center;
                    padding-top: 20px;
                    padding-bottom: 5px;
                }
            }
        }
    }
}